Debian Bug report logs - #681718
unblock: wine/1.4.1-2

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Michael Gilbert <michael.s.gilbert@gmail.com>

Date: Sun, 15 Jul 2012 21:48:02 UTC

Severity: normal

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#681718; Package release.debian.org. (Sun, 15 Jul 2012 21:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 15 Jul 2012 21:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unblock: wine/1.4.1-2
Date: Sun, 15 Jul 2012 17:46:09 -0400
Package: release.debian.org
User: release.debian.org@packages.debian.org
Usertags: unblock
Severity: normal

Please unblock package wine

It fixes an rc issue and fixes some other important issues.

unblock wine/1.4.1-2



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#681718; Package release.debian.org. (Sat, 21 Jul 2012 08:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilko Bengen <bengen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 21 Jul 2012 08:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 681718@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: 681718@bugs.debian.org
Subject: debdiff
Date: Sat, 21 Jul 2012 10:15:56 +0200
[Message part 1 (text/plain, inline)]
Here's the debdiff for 1.4.1-1 -> 1.4.1-2.

[debdiff (text/x-diff, inline)]
diff -u wine-1.4.1/debian/control wine-1.4.1/debian/control
--- wine-1.4.1/debian/control
+++ wine-1.4.1/debian/control
@@ -38,6 +38,16 @@
 Depends:
  ${misc:Depends},
  wine-bin (>= ${source:Version}) | wine64-bin (>= ${source:Version}),
+Conflicts:
+ wine1.0,
+ wine1.2,
+ wine1.3,
+ wine1.4,
+Replaces:
+ wine1.0,
+ wine1.2,
+ wine1.3,
+ wine1.4,
 Description: Windows API implementation - standard suite
  Wine is a free MS-Windows API implementation.
  This is still a work in progress and many applications may still not work.
@@ -138,6 +148,7 @@
  libwine-openal (= ${binary:Version}),
  libwine-gphoto2 (= ${binary:Version}),
 Pre-Depends:
+ ${misc:Pre-Depends},
  ${wine:Pre-Depends}
 Replaces:
  wine (<< 0.9.11-1),
diff -u wine-1.4.1/debian/libwine-gl.deps wine-1.4.1/debian/libwine-gl.deps
--- wine-1.4.1/debian/libwine-gl.deps
+++ wine-1.4.1/debian/libwine-gl.deps
@@ -1,2 +1,3 @@
 GL
+GLU
 Xcomposite
diff -u wine-1.4.1/debian/changelog wine-1.4.1/debian/changelog
--- wine-1.4.1/debian/changelog
+++ wine-1.4.1/debian/changelog
@@ -1,3 +1,15 @@
+wine (1.4.1-2) unstable; urgency=medium
+
+  [ Michael Gilbert ]
+  * Improve multiarch instructions (closes: #680120).
+
+  [ Hilko Bengen ]
+  * Conflict with ubuntu wine packages (closes: #678388).
+  * Add fontconfig and other library dependencies (closes: #680421).
+  * Add misc:Pre-Depends.
+
+ -- Michael Gilbert <mgilbert@debian.org>  Thu, 12 Jul 2012 17:34:23 -0400
+
 wine (1.4.1-1) unstable; urgency=medium
 
   * New upstream release 1.4.1, released Jun 17, 2012.
diff -u wine-1.4.1/debian/libwine.deps wine-1.4.1/debian/libwine.deps
--- wine-1.4.1/debian/libwine.deps
+++ wine-1.4.1/debian/libwine.deps
@@ -1,11 +1,21 @@
+crypto
+dbus-1
 freetype
+fontconfig
+gnutls
 jpeg
+ncurses
+odbc
 png
+tiff
+xslt
 Xinerama
 Xrandr
 Xcursor
+Xcomposite
 Xrender
 Xi
 Xext
+Xxf86vm
 X11
 ssl
diff -u wine-1.4.1/debian/libwine.recs wine-1.4.1/debian/libwine.recs
--- wine-1.4.1/debian/libwine.recs
+++ wine-1.4.1/debian/libwine.recs
@@ -2,0 +3 @@
+v4l1
diff -u wine-1.4.1/debian/control.in wine-1.4.1/debian/control.in
--- wine-1.4.1/debian/control.in
+++ wine-1.4.1/debian/control.in
@@ -39,6 +39,16 @@
  ${misc:Depends},
  wine-bin (>= ${source:Version}) | wine64-bin (>= ${source:Version}),
 Suggests: wine-doc, binfmt-support, ttf-mscorefonts-installer, winbind, klamav | clamav
+Conflicts:
+ wine1.0,
+ wine1.2,
+ wine1.3,
+ wine1.4,
+Replaces:
+ wine1.0,
+ wine1.2,
+ wine1.3,
+ wine1.4,
 Description: Windows API implementation - standard suite
  Wine is a free MS-Windows API implementation.
  This is still a work in progress and many applications may still not work.
@@ -139,6 +149,7 @@
  libwine-openal (= ${binary:Version}),
  libwine-gphoto2 (= ${binary:Version}),
 Pre-Depends:
+ ${misc:Pre-Depends},
  ${wine:Pre-Depends}
 Replaces:
  wine (<< 0.9.11-1),
diff -u wine-1.4.1/debian/wine64.sh wine-1.4.1/debian/wine64.sh
--- wine-1.4.1/debian/wine64.sh
+++ wine-1.4.1/debian/wine64.sh
@@ -1,5 +1,7 @@
 #!/bin/sh
 
+arch=$(dpkg --print-architecture | sed s/amd64/i386/)
+
 echo "This is the wine64-bin helper package, which does not provide wine itself,"
 echo "but instead exists solely to provide the following information about"
 echo "enabling multiarch on your system in order to be able to install and run"
@@ -10,11 +12,13 @@
 echo ""
-echo "  # dpkg --add-architecture i386"
-echo "  # sed -i 's/deb\ /deb\ [arch=amd64,i386]\ /g' /etc/apt/sources.list"
+echo "  # dpkg --add-architecture $arch"
 echo "  # apt-get update"
-echo "  # apt-get install wine-bin:i386"
+echo "  # apt-get install wine-bin:$arch"
+echo ""
+echo "Depending on which Debian release is present on this system, the development"
+echo "version of wine may be available, which if available can be installed with:"
+echo ""
+echo "  # apt-get install wine-bin-unstable:$arch"
 echo ""
-echo "Be very careful as spaces matter above.  For kfreebsd systems, replace i386"
-echo "and amd64 with kfreebsd-i386 and kfreebsd-amd64.  Note that this package"
-echo "(wine64-bin) will be removed in the process.  For more information on the"
-echo "multiarch conversion, see:"
+echo "Note that this package (wine64-bin) will be removed in the process.  For"
+echo "more information on the multiarch conversion, see:"
 echo "http://wiki.debian.org/Multiarch/HOWTO"

Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Mon, 03 Sep 2012 22:15:07 GMT) Full text and rfc822 format available.

Notification sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Bug acknowledged by developer. (Mon, 03 Sep 2012 22:15:07 GMT) Full text and rfc822 format available.

Message #15 received at 681718-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Michael Gilbert <michael.s.gilbert@gmail.com>, 681718-done@bugs.debian.org
Subject: Re: Bug#681718: unblock: wine/1.4.1-2
Date: Mon, 03 Sep 2012 23:09:20 +0100
On Sun, 2012-07-15 at 17:46 -0400, Michael Gilbert wrote:
> Please unblock package wine
> 
> It fixes an rc issue and fixes some other important issues.

Unblocked by Julien.

Regards,

Adam




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 02 Oct 2012 07:26:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:04:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.